<!DOCTYPE html>
<html>
<body>

<div id="logo"></div>
<pre id="logo-raw"></pre>
<script>

const depts = [
  { 'color': '#2cb4be', 'size': 75, 'name': 'scicomp' },
  { 'color': '#c51a79', 'size': 50, 'name': 'mfcf' },
  { 'color': '#607132', 'size': 30, 'name': '' },
  { 'color': '#d74326', 'size': 50, 'name': '' },
  { 'color': '#2e499f', 'size': 75, 'name': '' },
  { 'color': '#efa543', 'size': 50, 'name': '? this looks near ISTs #e4b429' },
  { 'color': '#572c85', 'size': 30, 'name': '' },
]
const nangle = 2 * Math.PI / depts.length
const mid = 30
const slice = (i) => `M ${(mid + i) * Math.cos(nangle)} ${(mid + i)* Math.sin(nangle)} A ${mid + i} ${mid + i} 0 0 0 ${mid + i} ${0}`
const slice_size_min = 20
const slice_size_factor = 0.9

let slices = depts.map((x, i)=>`<path transform="translate(120 120) rotate(${nangle*i*180/Math.PI})" fill="none" stroke-cap="butt" stroke="${x.color}" stroke-width="${slice_size_min+x.size*slice_size_factor}" d="${slice((slice_size_min+x.size*slice_size_factor)/2)}"></path>`).join('')
let r = `<svg viewbox="0 0 240 240"><g transform-origin="120 120" transform="rotate(-90)">${slices}</g></svg>`
document.getElementById('logo').innerHTML = r
document.getElementById('logo-raw').innerText = r
</script>

</body>
</html>
